WLP crashes on GetExternalSymbol code
Author: robinkno
Creation Date: 7/12/2019 1:02 AM
profile picture

robinkno

#1
This block crashes (closes the program) in the latest update:

CODE:
Please log in to see this code.


None of the above is used anywhere else in the code. It compiles correctly but doesn't run.

Also seeing red squiggles under "using TASCIndicators", under all the indicators I used from TASCIndicators, and under Date Rules. Hovering over "using TASCIndicators" pop up says "could not be found. It is installed and the indicators work.

Just found another of my systems crashing the program. It also uses the line:

CODE:
Please log in to see this code.


I will wait on your response but I am spending a lot of time debugging so I am planning to go back to v6.9.19

Robin.
profile picture

Eugene

#2
Robin, thanks for the problem report. I feel your frustration and am trying to get to the bottom of the issue. It turns out that Fidelity included outdated versions of ASCII, Yahoo and TASCIndicators in v6.9.20. Please update the TASCIndicators library to v2019.07 from our website and restart WLP. Does it help?
profile picture

Cone

#3
Just use the Extension Manager to update each of those components.
profile picture

robinkno

#4
All the extensions are the latest version from the WL website. I had gone thru the install crashes and had to uninstall etc. and then got all the extensions from the site. The TASCIndicators are V2019.07. None of my extensions show updates available in the ext manager.
profile picture

Eugene

#5
1. TASCIndicators
QUOTE:
Also seeing red squiggles under "using TASCIndicators", under all the indicators I used from TASCIndicators, and under Date Rules. Hovering over "using TASCIndicators" pop up says "could not be found. It is installed and the indicators work.

Could you add TASCIndicators.dll to "Add References..." dialog and retry? Wonder if this makes the squiggles go away.
profile picture

robinkno

#6
added TASCIndicators.dll to references but squiggles remain. Tried restarting WL but still crashes.
profile picture

Eugene

#7
2. Crash

QUOTE:
This block crashes (closes the program) in the latest update:

a. Does the crash happen with the particular saved strategies? If so, what if you copy and paste the code into a blank new Strategy window?
b. What about other timeframes?
c. Does changing the symbol from .SPX to other symbols in the code has any effect?
d. Please type in "GetExternalSymbol" in "Open Strategy" dialog, pick some downloaded strategies and run them. Do they run fine?
profile picture

robinkno

#8
a. & c. had no effect
Both SetScaleWeekly & SetScaleMonthly when used with ASCII data crash. They work with FID data.
"GetExternalSymbol" worked with daily data on any dataset.
profile picture

Eugene

#9
So from what I gather you run the SetScaleMonthly code block #1 with Fidelity specific .SPX symbol on ASCII data and then it crashes - but runs fine on Fidelity data in any time frame. Is this correct?

A code block w/o SetScale* but w/ GetExternalSymbol to the same .SPX symbol (as code block #2), or any code w/ GetExternalSymbol alone (as in canned strategies), runs fine on EOD bars even on ASCII data. Is my understanding correct? If so, what you say in post #8 seems to partially contradict with your post #1.

I don't work with WLP and do not have WLD 6.9.20 on hand yet. Apreciate if you could provide a detailed, non-ambiguous problem report which would be easy to duplicate for a team member using WLP 6.9.20 (not me). Thanks.
profile picture

robinkno

#10
I ran tests using the canned code from the QuIck Ref as follows:

GetExternalSymbol:
1. ASCII Data daily : OK
2. ASCII Data monthly set from the sidebar: Crashed
3. FID data daily: OK
4. FID data monthly set from the sidebar: OK

SetScaleMonthly:
1. ASCII Data daily : OK
2. FID data daily: OK

So, it appears to me that the combination of an External Symbol and setting the scale to Monthly either by the sidebar or in the code causes a crash.

I hope that clarifies it.


profile picture

Eugene

#11
OK thanks. Are you sure this QuickRef code wasn't crashing 6.9.19? If so and as it concerns ASCII data, please double check that you have updated the ASCII provider and let me know. The one shipped with WLP 6.9.20 is mistakenly outdated (I believe from 7-8 years ago).
profile picture

robinkno

#12
I can't be sure the Quick Ref code worked in 6.9.19 but all the code I have which is crashing WL has worked for many years prior to 6.9.20.
Due to the crashing on update to .20 I had to get all the extensions from the site. None came with the update.
The ASCII Files Static is 2017.09 version, ie the latest on the site.
profile picture

Eugene

#13
Problem is, there's no other change in 6.9.20 that would explain what you're reporting. But bad ASCII data or a bug in ASCII provider would. Could you zip and attach an ASCII data file under 2-3 MB in size to demonstrate the anomaly?
profile picture

robinkno

#14
Here is code which runs on daily ascii but when you set the time frame monthly on the sidebar WL crashes/closes after about a minute of inactivity.
I have also attached a zip file with 20 ascii symbols. This is the same ascii setup I have used for a decade.

CODE:
Please log in to see this code.
profile picture

Eugene

#15
Works just fine for me on WLDev 6.9.15 (no 6.9.20 yet here) with any bar scale up to Quarterly in both single symbol and multi-symbol mode. Things to try:

1.
CODE:
Please log in to see this code.


2. Clear (or temporarily disable) ASCII Cache on the ASCII Data tab.

3. Disable as many performance visualizers as possible in Preferences and reopen Strategy window to apply.
profile picture

robinkno

#16
Yes, it all worked fine for me too till I upgraded to .20. Why have you not upgraded past .15? Is that the last stable/ most stable version?

After fighting with .20 for 2 days on other problems it created (mainly to do with DataSets, I think, nothing to do with ASCII) I downgraded back to .19

I tried item 1 and that worked and resolved 1 issue, but why was that necessary when it had not been for the last decade.

I have got my system back to where it was before the upgrade, all working.
When v6.9.21 comes out I will upgrade after a few weeks when I see what problems it has caused.

Thanks for your help Eugene and Cone, I am sure you are as annoyed at WL Pro development team as we users are.
profile picture

Eugene

#17
QUOTE:
I tried item 1 and that worked and resolved 1 issue, but why was that necessary when it had not been for the last decade.

We don't know exactly but I'm pleased to hear that it has helped. Call it an intermittent GetExternalSymbol issue but I haven't heard of it causing crashes before. I'll take another look into the issue after I get my hands on WLDev 6.9.20.

QUOTE:
After fighting with .20 for 2 days on other problems it created (mainly to do with DataSets, I think, nothing to do with ASCII) I downgraded back to .19

Sorry to hear this but issues with DataSets are likely to be caused not by the build itself but its installer which ships with outdated versions of ASCII, Yahoo, TASCIndicators etc.

QUOTE:
Yes, it all worked fine for me too till I upgraded to .20. Why have you not upgraded past .15? Is that the last stable/ most stable version?

I work with WLD which wasn't receiving upgrades past 6.9.15 (until now) as they mainly dealt with WLP issues.
profile picture

Eugene

#18
Verified: no crash here in WLDev 6.9.20 on Monthly data either. Neither immediately nor after waiting for a minute. Perhaps you had a corrupt ASCII Cache which got recreated by data update on the next bar (but GetExternalSymbol is a good workaround, too).
This website uses cookies to improve your experience. We'll assume you're ok with that, but you can opt-out if you wish (Read more).